WordPress.org

Plugin Directory

Metro Share

Super fast and super customizable social sharing

Requires: 3.6 or higher
Last Updated: 2015-1-5
Active Installs: 100+

Ratings

5 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.